Browse Source

Merge pull request #950 from kui/commands-includes-spaces

[Fix] fix `nvm-exec` for commands including spaces.

Relates to #903.
Jordan Harband 9 years ago
parent
commit
9787c438bb
  1. 2
      nvm-exec
  2. 2
      test/slow/nvm exec/Running "nvm exec 0.x" should work

2
nvm-exec

@ -10,4 +10,4 @@ else
nvm use > /dev/null || (echo "No .nvmrc file found" >&2 && exit 127) nvm use > /dev/null || (echo "No .nvmrc file found" >&2 && exit 127)
fi fi
exec $@ exec "$@"

2
test/slow/nvm exec/Running "nvm exec 0.x" should work

@ -6,8 +6,10 @@ die () { echo $@ ; exit 1; }
nvm use 0.10 nvm use 0.10
NPM_VERSION_TEN="$(npm --version)" NPM_VERSION_TEN="$(npm --version)"
TEST_STRING="foo bar"
nvm use 0.11.7 && [ "$(node --version)" = "v0.11.7" ] || die "\`nvm use\` failed!" nvm use 0.11.7 && [ "$(node --version)" = "v0.11.7" ] || die "\`nvm use\` failed!"
[ "$(nvm exec 0.10 npm --version | tail -1)" = "$NPM_VERSION_TEN" ] || die "`nvm exec` failed to run with the correct version" [ "$(nvm exec 0.10 npm --version | tail -1)" = "$NPM_VERSION_TEN" ] || die "`nvm exec` failed to run with the correct version"
[ "$(nvm exec 0.10 bash -c "printf '$TEST_STRING'" | tail -1)" = "$TEST_STRING" ] || die "`nvm exec` failed to run with the command include white-spaces"

Loading…
Cancel
Save